Bug 35935 - New bootsplash theme
New bootsplash theme
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Bootsplash
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Felix Botner
Stefan Gohmann
: interim-3
Depends on:
Blocks: 36420
  Show dependency treegraph
 
Reported: 2014-09-16 09:10 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
04_Bootsplash.tar.gz (5.41 MB, application/x-compressed-tar)
2014-09-16 09:10 CEST, Stefan Gohmann
Details
WIP: Fix boot-splash text screen location (35.74 KB, patch)
2014-09-22 14:08 CEST, Philipp Hahn
Details | Diff
New bootsplash graphics (2.06 MB, application/x-gzip)
2014-09-25 11:37 CEST, Alexander Kläser
Details
Final splash animation (632.66 KB, application/x-gzip)
2014-10-16 13:07 CEST, Alexander Kläser
Details
Final background images (6.41 MB, application/x-gzip)
2014-10-16 13:08 CEST, Alexander Kläser
Details
Final univention logo (3.80 KB, image/png)
2014-10-16 13:09 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-16 09:10:45 CEST
Created attachment 6110 [details]
04_Bootsplash.tar.gz

Please change the bootspalsh theme to the attached.
Comment 1 Philipp Hahn univentionstaff 2014-09-22 14:08:05 CEST
Created attachment 6117 [details]
WIP: Fix boot-splash text screen location

On shutdown the text "Shutting down" in printed over the Univention logo at the top left corner. The text needs to be moved to some other location.

The attached patch fixes the shutdown screen, but during boot two lines about "checking (root) filesystem" appear shortly also at the top-left-corner. That should be fixed too. (the newer "script" example uses multiple images - one per line; perhaps update the code to be based on a more recent example?)

Please check what happens when fsck needs to run: touch /forcefsck

Please check what happens when full-disk-encryption is used.
Comment 2 Alexander Kläser univentionstaff 2014-09-25 11:37:19 CEST
Created attachment 6125 [details]
New bootsplash graphics

Attached you find the updated graphic files. 

Some information on the graphic layout:

"Das Seitenverhältnis von Box zu Bildschirmbreite ist 4 zu 1. Das heißt – die Breite der Loginbox ist 1/4 der Bildschirmbreite bei kleineren Auflösungen. Das Univention Logo hat eine Breite von 120px (ca. 80%). Das Univention-Logo ist als *.png so angelegt, dass es immer direkt oben links am Rand positioniert werden kann (Abstand ist in der Datei)."
Comment 3 Felix Botner univentionstaff 2014-09-29 10:02:17 CEST
OK, done

please also test with different resolutions (ucr set grub/gfxmode='1024x768@24' ...)
Comment 4 Stefan Gohmann univentionstaff 2014-09-30 16:06:08 CEST
It looks good but the design is not yet final. Moving to interim-3
Comment 5 Alexander Kläser univentionstaff 2014-10-16 13:07:36 CEST
Created attachment 6178 [details]
Final splash animation

Attached the final splash animation, this time with a stronger shadow.
Comment 6 Alexander Kläser univentionstaff 2014-10-16 13:08:19 CEST
Created attachment 6179 [details]
Final background images

Attached are the final background graphic files in different resolutions.
Comment 7 Alexander Kläser univentionstaff 2014-10-16 13:09:01 CEST
Created attachment 6180 [details]
Final univention logo

Attached the final Univention logo image.
Comment 8 Stefan Gohmann univentionstaff 2014-10-19 19:33:15 CEST
Back to Felix.
Comment 9 Felix Botner univentionstaff 2014-10-20 11:40:12 CEST
done
Comment 10 Stefan Gohmann univentionstaff 2014-10-30 08:48:41 CET
It looks good (different resolutions, messages, questions)

Changelog: OK
Comment 11 Stefan Gohmann univentionstaff 2014-11-26 06:54:20 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".